#include <stdio.h>


typedef struct {
  unsigned long lsw;
  unsigned long midw;
  unsigned long msw;
} Xsig;



extern void polynomial_Xsig(Xsig *accum, const unsigned long long *x,
		     const unsigned long long terms[], const int n);



unsigned long long terms[] =
{
  0xf23e01cf528a2bb1LL,
  0xf23e01cf528a2bb1LL,
  0xf000000000000008LL,
  0xf000000000000008LL,
  0x0f00000000000000LL,
  0x0f00000000000000LL
};


int main()
{
  Xsig acc;
  unsigned long long x;

  x = 0xf23e01cf528a2bb1LL;

  acc.msw = acc.midw = acc.lsw = 1;

  polynomial_Xsig(&acc, &x, terms, 4);

  printf("%08x %08x %08x\n",
	 acc.msw, acc.midw, acc.lsw);

}
