#include <stdio.h>


typedef struct {
  unsigned long lsw;
  unsigned long midw;
  unsigned long msw;
} Xsig;


void div_Xsig(const Xsig *aa, const Xsig *b, Xsig *dest);


int main()
{
  Xsig x,
    a = { 0x00000000, 0x00000000, 0x80000000 },
	  b = { 0x00000000, 0x80dc1cd1, 0xc4c6628b };
#if 0
    a = {0x00000000, 0x00000000, 0xd801dff8}, b = {0x0002, 0x0001, 0xaff10e98};
#endif

  div_Xsig(&a, &b, &x);

  printf("%08x %08x %08x\n",
	 x.msw, x.midw, x.lsw);

}


void FPU_exception(int n)
{

  printf("FPU_exception(%04x)\n", n);

}
